tech-net archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: ral(4) and wpa_supplicant?


At Mon, 30 Mar 2009 16:45:43 +0100,
Roy Marples wrote:
> Geert Hendrickx wrote:
> > which wifi cards are supported by wpa_supplicant(8)?
> iwi(4) works fine.
> >  Lacking support for
> > my laptop's built-in BCM4315 card, I'm trying with an USB ral(4) card.
> > This is with NetBSD/i386 5.0_RC3.
> > 
> > I can connect to open or WEP-protected AP's using ifconfig(8) only.  But
> > I'd prefer to use WPA/RSN instead.
> I see the same error with ral(4) using an rt2500 based pci card, so I'm 
> guessing it's a driver issue.

please try attached patch and rebuild wpa_supplicant.

it restores
as same as

this problem was introduced in -current at Dec 12 2008, in netbsd-5 at
Jan 22 2009. NetBSD 5.0 has this problem.


Attachment: wpa_supplicant.diff
Description: Binary data

Home | Main Index | Thread Index | Old Index